

#ifndef INTERPRETATION_INCLUDED
#define INTERPRETATION_INCLUDED  1


#include  <map>

#include "assert.h" 
#include "atom.h"


class interpretation
{
   
   std::map< atom, bool > repr;

public:
   void assign( atom a, bool b );
   void remove( atom a );

   bool value( atom a ) const;
      // crashes when a undefined.

   bool isdefined( atom a ) const;

   friend std::ostream& operator << ( std::ostream&, const interpretation& );

};


std::ostream& operator << ( std::ostream& stream, const interpretation & i );


#endif

